package jrummikub.model;

/**
 * {@link Stone} Position class to determine positions on {@link Table} or
 * {@link Hand}
 */

public class Position {
	private float x;
	private float y;

	/**
	 * Create a new position by specifying the coordinates
	 * 
	 * @param x
	 *            x coordinate
	 * @param y
	 *            y coordinate
	 */
	public Position(float x, float y) {
		this.x = x;
		this.y = y;
	}

	/**
	 * Get the x coordinate of the position
	 * 
	 * @return x coordinate
	 */
	public float getX() {
		return x;
	}

	/**
	 * Get the y coordinate of the position
	 * 
	 * @return y coordinate
	 */
	public float getY() {
		return y;
	}

	@Override
	public String toString() {
		return "Position[x=" + x + ",y=" + y + "]";
	}

}
